﻿-- Version 1500b1
RT_ITEMREG =       "(|c%x+|Hitem:%d+:%d+:%d+:%d+:%d+:%d+:(%-?%d+):(%-?%d+):(%-?%d+)|h%[.-%]|h|r)%";
RT_ITEMREG_MULTI = "(|c%x+|Hitem:%d+:%d+:%d+:%d+:%d+:%d+:(%-?%d+):(%-?%d+):(%-?%d+)|h%[.-%]|h|r)x(%d+)%";

RaidTracker_L = {

};

--[[
 Conventions: Tags [TAQ], Real Name [Ahn'Qiraj], Display Name [Ahn'Qiraj Temple]
   tags         - for having a unique identifier for a zone reguardles of anyting else, changesin game, locale or whatever
   real name    - for mappign when GetRealZowenName is called in an instance, this is the locale specific real instance name
   display name - the map name which is also locale specific for a zone
]]


RaidTracker_Tags = {		-- tag = zone trigger name
	-- releases
--	["REL0"]	= "World Event",
	["REL1"]	= "Classic",
	["REL2"]	= "BC",
	["REL3"]	= "WotLK",

	-- zones
	["WB"]		= "World Boss",
	["KM"]		= "Kalimdor",
	["KM:DWM"]	=  "Dustwallow Marsh",
	["KM:SIL"]	=  "Silithus",	
	["KM:TAN"]	=  "Tanaris",	
	["EK"]		= "Eastern Kingdoms",
	["EK:BRM"]	=  "Blackrock Mountain",
	["EK:STV"]	=  "Stranglethorn Vale",	
	["EK:DWP"]	=  "Deadwind Pass",
	["EK:EPL"]	=  "Easterm Plaguelands",
	["OL"]		= "Outlands",
	["OL:BEM"]	=  "Blade's Edge Mountains",
	["NR"]		= "Northrend",
	["NR:BRT"]	=  "Borean Tundra",
	["NR:CLD"]	=  "Coldarra",	
	["NR:NEX"]	=  "The Nexus",
	["NR:UTG"]	=  "Utgarde Keep",
	["NR:PON"]	=  "Pit of Narjun",
	["NR:DAL"]	=  "Dalaran",
	["NR:UDR"]	=  "Ulduar",
	["NR:ZDK"]	=  "Zul'Drak",
	["NR:WRT"]	=  "Wyrmrest Temple",
	["NR:WRT"]	=  "Wintergrasp Keep",
	["NR:ICR"]	=  "Icecrown",
	["NR:ICG"]	=  "Icecrown Glacier",
};

RaidTracker_GameReleases = { 1, 2, 3 }; -- { 0, 1, 2, 3 };

RaidTracker_Zones = {
	["Teldrassil"]					= { id=1,  pid=0,  rel=1, tag="", loc="EK:BRM", type="Raid",  man=40, min=58, ran="1-12",	name="Teldrassil", },

	-- ALL
	["World Boss"]					= { id=0,  pid=0,  rel=1, tag="", loc="WB",     type="Raid",  man=40, min=0,  ran="60",		name="World Boss", },
	-- CLASIC
	["Molten Core"]					= { id=1,  pid=4,  rel=1, tag="", loc="EK:BRM", type="Raid",  man=40, min=58, ran="60+",	name="Molten Core", },
	["Blackwing Lair"]				= { id=2,  pid=6,  rel=1, tag="", loc="EK:BRM", type="Raid",  man=40, min=60, ran="60++",	name="Blackwing Lair", },
	["Onyxia's Lair"]				= { id=3,  pid=5,  rel=1, tag="", loc="KM:DWM", type="Raid",  man=40, min=58, ran="60+",	name="Onyxia's Lair", },
	["Zul'Gurub"]					= { id=4,  pid=1,  rel=1, tag="", loc="EK:STV", type="Raid",  man=20, min=56, ran="60",		name="Zul'Gurub", },
	["Ruins of Ahn'Qiraj"]			= { id=5,  pid=2,  rel=1, tag="", loc="KM:TAN", type="Raid",  man=20, min=58, ran="60",		name="Ruins of Ahn'Qiraj", },
	["Ahn'Qiraj"]					= { id=6,  pid=3,  rel=1, tag="", loc="KM:TAN", type="Raid",  man=40, min=60, ran="60+",	name="Ahn'Qiraj", },
	["Naxxramas"]					= { id=7,  pid=7,  rel=1, tag="", loc="EK:STV", type="Raid",  man=40, min=60, ran="60+++",	name="Naxxramas", },
	-- TBC
	["Karazhan"]					= { id=8,  pid=8,  rel=2, tag="", loc="EK:DWP", type="Raid",  man=10, min=68, ran="70+",	name="Karazhan", },
	["Gruul's Lair"]				= { id=9,  pid=9,  rel=2, tag="", loc="OL:BEM", type="Raid",  man=25, min=68, ran="70+",	name="Gruul's Lair", },
	["Magtheridon's Lair"]			= { id=10, pid=10, rel=2, tag="", loc="OL:BEM", type="Raid",  man=25, min=68, ran="70+",	name="Magtheridon's Lair", },
	["Serpentshrine Cavern"]		= { id=11, pid=12, rel=2, tag="", loc="OL:BEM", type="Raid",  man=25, min=70, ran="70++",	name="Serpentshrine Cavern", },
	["Tempest Keep"]				= { id=12, pid=13, rel=2, tag="", loc="OL:BEM", type="Raid",  man=25, min=70, ran="70++",	name="Tempest Keep", },
	["Hyjal Summit"]				= { id=13, pid=14, rel=2, tag="", loc="OL:BEM", type="Raid",  man=25, min=70, ran="70+++",	name="Hyjal Summit", },
	["Black Temple"]				= { id=14, pid=15, rel=2, tag="", loc="OL:BEM", type="Raid",  man=25, min=70, ran="70+++",	name="Black Temple", },
	["Zul'Aman"]					= { id=15, pid=11, rel=2, tag="", loc="OL:BEM", type="Raid",  man=10, min=70, ran="70++",	name="Zul'Aman", },
	["Sunwell Plateau"]				= { id=16, pid=16, rel=2, tag="", loc="OL:BEM", type="Raid",  man=25, min=70, ran="70+++",	name="Sunwell Plateau", },
	-- WOTLK
	["Utgarde Keep"]				= { id=17, pid=17, rel=3, tag="", loc="NR:UTG", type="Party", man=5,  min=65, ran="70-72",	name="Utgarde Keep", },
	["The Nexus"]					= { id=18, pid=18, rel=3, tag="", loc="NR:NEX", type="Party", man=5,  min=66, ran="71-73",	name="The Nexus", },
	["Azjol-Nerub"]					= { id=19, pid=19, rel=3, tag="", loc="NR:PON", type="Party", man=5,  min=67, ran="72-74",	name="Azjol-Nerub", },
	["Ahn'kahet: The Old Kingdom"]	= { id=20, pid=20, rel=3, tag="", loc="NR:PON", type="Party", man=5,  min=68, ran="73-75",	name="Ahn'kahet: The Old Kingdom", },
	["Drak'Tharon Keep"]			= { id=21, pid=21, rel=3, tag="", loc="NR:ZDK", type="Party", man=5,  min=69, ran="74-76",	name="Drak'Tharon Keep", },
	["The Violet Hold"]				= { id=22, pid=22, rel=3, tag="", loc="NR:DAL", type="Party", man=5,  min=70, ran="75-77",	name="The Violet Hold", },
	["Gundrak"]						= { id=23, pid=23, rel=3, tag="", loc="NR:ZDK", type="Party", man=5,  min=71, ran="76-78",	name="Gundrak", },
	["Halls of Stone"]				= { id=24, pid=24, rel=3, tag="", loc="NR:UDR", type="Party", man=5,  min=72, ran="77-79",	name="Halls of Stone", },
	["The Occlus"]					= { id=25, pid=25, rel=3, tag="", loc="NR:NEX", type="Party", man=5,  min=75, ran="80",		name="The Occlus", },
	["Utgarde Pinnacle"]			= { id=26, pid=26, rel=3, tag="", loc="NR:UTG", type="Party", man=5,  min=75, ran="80",		name="Utgarde Pinnacle", },
	["The Culling of Stratholme"]	= { id=27, pid=27, rel=3, tag="", loc="KM:TAN", type="Party", man=5,  min=75, ran="80",		name="The Culling of Stratholme", },	
	["Halls of Lightning"]			= { id=28, pid=28, rel=3, tag="", loc="NR:UDR", type="Party", man=5,  min=75, ran="80",		name="Halls of Lightning", },
	["Naxxramas"]					= { id=29, pid=29, rel=3, tag="", loc="NR:NEX", type="Raid",  man=10, min=78, ran="80+",	name="Naxxramas", },
	["The Obsidian Sanctum"]		= { id=30, pid=30, rel=3, tag="", loc="NR:WRT", type="Raid",  man=25, min=78, ran="80+",	name="The Obsidian Sanctum", },
	["Vault of Archavon"]			= { id=31, pid=31, rel=3, tag="", loc="NR:WGK", type="Raid",  man=25, min=78, ran="80+",	name="Vault of Archavon", },
	["The Eye of Eternity"]			= { id=32, pid=32, rel=3, tag="", loc="NR:NEX", type="Raid",  man=25, min=80, ran="80++",	name="The Eye of Eternity", },
	["Ulduar Raid"]					= { id=33, pid=33, rel=3, tag="", loc="NR:UDR", type="Raid",  man=25, min=80, ran="80++",	name="Ulduar Raid", },
	["Icecrown Citadel"]			= { id=34, pid=34, rel=3, tag="", loc="NR:ICG", type="Raid",  man=25, min=80, ran="80+++",	name="Icecrown Citadel", },
	
--	["Naxxramas"]				= "NAX",		-- Northrend - Dragonblight - ??? - ???  10/25 man (80+)
--	["The Obsidian Sanctum"]	= "OS",			-- Northrend - Dragonblight - ??? - Wyrmrest Temple  10/25 man (80+)
--	["Vault of Archavon"]		= "VOA",		-- Northrend - Wintergrasp - ??? - Wintergrasp Keep  10/25 man (80+)
--	["The Eye of Eternity"]		= "EOE",		-- Northrend - Borean Tundra - Coldarra - The Nexus  10/25 man (80++)
--	["Ulduar Raid"]				= "UDR",		-- Northrend - The Storm Peaks - ??? - Ulduar  25 man (80++)
--	["Icecrown Citadel"]		= "ICC",		-- Northrend - Icecrown - Icecrown Glacier - ???  25 man (80+++)
--	["The Nexus"]				= "NEX",		-- Northrend - Borean Tundra - Coldarra - The Nexus  5 man 66(71-73)
--	["The Occlus"]				= "OCC",		-- Northrend - Borean Tundra - Coldarra - The Nexus  5 man 75(80)
--	["Utgarde Keep"]			= "UK",			-- Northrend - Howling Fjord - Lake Cauldros - Utgarde Keep  5 man 65(70-72)
--	["Utgarde Pinnacle"]		= "UP",			-- Northrend - Howling Fjord - Lake Cauldros - Utgarde Keep  5 man 75(80)
--	["The Culling of Stratholme"] = "COS",		-- Kalimdor - Tanaris - ??? - Caverns of Time  5 man 75(80)
--	["Azjol-Nerub"]				= "AN",			-- Northrend - Dragonblight - ??? - Pit of Narjun  5 man 67(72-74)
--	["Ahn'kahet: The Old Kingdom"] = "AK",		-- Northrend - Dragonblight - ??? - Pit of Narjun  5 man 68(73-75)
--	["The Violet Hold"]			= "VH",			-- Northrend - Crystalsong Forest - Violet Stand - Dalaran  5 man 70(75-77)
--	["Drak'Tharon Keep"]		= "DTK",		-- Northrend - Zul'Drak - ??? - ???  5 man 69(74-76)
--	["Gundrak"]					= "GD",			-- Northrend - Zul'Drak - ??? - ???  5 man 71(76-78)
--	["Halls of Stone"]			= "HOS",		-- Northrend - The Storm Peaks - ??? - Ulduar  5 man 72(77-79)
--	["Halls of Lightning"]		= "HOL",		-- Northrend - The Storm Peaks - ??? - Ulduar  5 man 75(80)
};

-- this is realy jsut a lookup menu drop down list atm
--   really nice if to not jsut waste this on dropdowns
RaidTracker_Bosses = {
	["World Boss"] = { "Onyxia", "Lord Kazzak", "Azuregos",
		-- tbc
		"Highlord Kruul", "Doom Lord Kazzak", "Doomwalker", 
		-- wotlk
	},
	-- classic
	["Molten Core"] = {
		"Lucifron", "Magmadar",	"Gehennas", "Garr", "Baron Geddon",
		"Shazzrah", "Sulfuron Harbinger", "Golemagg the Incinerator", "Majordomo Executus", "Ragnaros",
	},
	["Blackwing Lair"] = {
		"Razorgore the Untamed", "Vaelastrasz the Corrupt", "Broodlord Lashlayer", "Firemaw", "Ebonroc",
		"Flamegor",	"Chromaggus", "Nefarian",
	},
	["Zul'Gurub"] = {
		"High Priestess Jeklik", "High Priest Venoxis", "High Priestess Mar'li", "High Priest Thekal", "High Priestess Arlokk",
		"Hakkar", "Bloodlord Mandokir", "Jin'do the Hexxer", "Gahz'ranka", "Hazza'rah",
		"Gri'lek", "Renataki", "Wushoolay",
	},
	["Ahn'Qiraj Temple"] = {
		"The Prophet Skeram", "Fankriss the Unyielding", "Battleguard Sartura", "Princess Huhuran",	"Twin Emperors",
		"C'Thun", "Vem", "Princess Yauj", "Lord Kri", "Viscidus",
		"Ouro",
	},
	["Ahn'Qiraj Ruins"] = {
		"Kurinnaxx", "General Rajaxx", "Ayamiss the Hunter", "Moam", "Buru The Gorger",
		"Ossirian The Unscarred",
	},
	["Naxxramas"] = {
		"Patchwerk", "Grobbulus", "Gluth", "Thaddius", "Instructor Razuvious",
		"Gothik the Harvester",	"Highlord Mograine", "Thane Korth'azz", "Lady Blaumeux", "Sir Zeliek",
		"Noth The Plaguebringer", "Heigan the Unclean", "Loatheb", "Anub'Rekhan", "Grand Widow Faerlina",
		"Maexxna", "Sapphiron", "Kel'Thuzad",
	},
	["Emerald Dragon"] = {
		"Ysondre", "Taerar", "Emeriss", "Lethon",
	},
	-- TBC
	["Karazhan"] = {
		"Attumen the Huntsman", "Moroes", "Maiden of Virtue", 
			["Theater Event"] = { "Unknown", "The Crone", "The Big Bad Wolf", "Romulo and Julianne", },
		"The Curator", "Terestian Illhoof",	"Shade of Aran", "Chess Event", "Prince Malchezaar",
		"Netherspite", "Nightbane", "Rokad the Ravager", "Hyakiss the Lurker", "Shadikith the Glider",
		"Echo of Medivh", "Image of Medivh",
	},
	["Gruul's Lair"] = {
		"High King Maulgar", "Gruul the Dragonkiller",
	},
	["Magtheridon's Lair"] = {
		"Magtheridon",
	},
	["Serpentshrine Cavern"] = {
		"Hydross the Unstable", "The Lurker Below", "Leotheras the Blind", "Fathom-Lord Karathress", "Morogrim Tidewalker",
		"Lady Vashj",
	},
	["Caverns Of Time"] = {
		"Unknown",
	},
	["Black Temple"] = {
		"High Warlord Naj'entus", "Supremus", "Gurtogg Bloodboil", "Teron Gorefiend", "Shade of Akama",
		"Reliquary of Souls", "Mother Shahraz", "Illidari Council", "Illidan Stormrage",
	},
	["Tempest Keep"] = {
		"Al'ar", "High Astromancer Solarian", "Void Reaver", "Kael'thas Sunstrider",
	},
	["Hyjal Summit"] = {
		"Rage Winterchill", "Anetheron", "Kaz'rogal", "Azgalor", "Archimonde",
	},
	["Zul'Aman"] = {
		"Nalorakk", "Akil'Zon", "Jan'Alai", "Halazzi", "Witch Doctor", "Hex Lord Malacrass", "Zul'jin",
	},
	-- WOTLK
	["The Eye of Eternity"] = {
		"High King Maulgar", "Gruul the Dragonkiller",
	},

	["Trash mob"] = 1,
};

RaidTracker_BossTriggers = {

};

RaidTracker_BossUnitTriggers = {
	["Lucifron"] = "Lucifron",
	["Magmadar"] = "Magmadar",
	["Gehennas"] = "Gehennas",
	["Garr"] = "Garr",
	["Baron Geddon"] = "Baron Geddon",
	["Shazzrah"] = "Shazzrah",
	["Sulfuron Harbinger"] = "Sulfuron Harbinger",
	["Golemagg the Incinerator"] = "Golemagg the Incinerator",
	["Majordomo Executus"] = "Majordomo Executus",
	["Ragnaros"] = "Ragnaros",
	["Core Hound"] = true,
	["Firesworn"] = true,
	["Core Rager"] = true,
	["Flamewaker Healer"] = true,
	["Flamewaker Elite"] = true,
	["Son of Flame"] = true,
	
	["Razorgore the Untamed"] = "Razorgore the Untamed",
	["Vaelastrasz the Corrupt"] = "Vaelastrasz the Corrupt",
	["Broodlord Lashlayer"] = "Broodlord Lashlayer",
	["Firemaw"] = "Firemaw",
	["Ebonroc"] = "Ebonroc",
	["Flamegor"] = "Flamegor",
	["Chromaggus"] = "Chromaggus",
	["Nefarian"] = "Nefarian",
	["Lord Victor Nefarius"] = "Nefarian",
	["Grethok the Controller"] = true,
	["Blackwing Guardsman"] = true,
	["Blackwing Legionnaire"] = true,
	["Blackwing Mage"] = true,
	["Death Talon Dragonspawn"] = true,
	["Black Drakonid"] = true,
	["Blue Drakonid"] = true,
	["Bronze Drakonid"] = true,
	["Green Drakonid"] = true,
	["Red Drakonid"] = true,
	["Chromatic Drakonid"] = true,
	["Bone Construct"] = true,
	["Corrupted Infernal"] = true,
	["Corrupted Blue Whelp"] = true,
	["Corrupted Red Whelp"] = true,
	["Corrupted Green Whelp"] = true,
	["Corrupted Bronze Whelp"] = true,
	["Death Talon Hatcher"] = true,
	["Blackwing Taskmaster"] = true,
	
	["High Priestess Jeklik"] = "High Priestess Jeklik",
	["High Priest Venoxis"] =	"High Priest Venoxis",
	["High Priestess Mar'li"] =	"High Priestess Mar'li",
	["High Priest Thekal"] = "High Priest Thekal",
	["High Priestess Arlokk"] =	"High Priestess Arlokk",
	["Hakkar"] = "Hakkar",
	["Bloodlord Mandokir"] = "Bloodlord Mandokir",
	["Jin'do the Hexxer"] = "Jin'do the Hexxer",
	["Gahz'ranka"] = "Gahz'ranka",
	["Hazza'rah"] = "Hazza'rah",
	["Gri'lek"] = "Gri'lek",
	["Renataki"] = "Renataki",
	["Wushoolay"] = "Wushoolay",
	["Zulian Prowler"] = true,
	["Zulian Guardian"] = true,
	["Parasitic Serpent"] = true,
	["Spawn of Mar'li"] = true,
	["Ohgan"] = true,
	["Frenzied Bloodseeker Bat"] = true,
	["Poisonous Cloud"] = true,
	
	["Onyxia"] = "Onyxia",
	["Lord Kazzak"] = "Lord Kazzak",
	["Azuregos"] = "Azuregos",
	["Ysondre"] = "Ysondre",
	["Taerar"] = "Taerar",
	["Emeriss"] = "Emeriss",
	["Lethon"] = "Lethon",
	
	["Onyxian Whelp"] = true,
	["Onyxian Warder"] = true,
	["Shade of Taerar"] = true,
	["Spirit Shade"] = true,
	["Demented Druid Spirit"] = true,
	
	["Kurinnaxx"] = "Kurinnaxx",
	["General Rajaxx"] = "General Rajaxx",
	["Ayamiss the Hunter"] = "Ayamiss the Hunter",
	["Buru the Gorger"] = "Buru The Gorger",
	["Moam"] = "Moam",
	["Ossirian the Unscarred"] = "Ossirian The Unscarred",
	["Buru Egg"] = true,
	["Canal Frenzy"] = true,
	["Mana Fiend"] = true,
	["Silicate Feeder"] = true,
	["Hive'Zara Hatchling"] = true,
	["Hive'Zara Larva"] = true,
	["Vekniss Hatchling"] = true,
	["Anubisath Warrior"] = true,
	
	["The Prophet Skeram"] = "The Prophet Skeram",
	["Fankriss the Unyielding"] = "Fankriss the Unyielding",
	["Battleguard Sartura"] = "Battleguard Sartura",
	["Princess Huhuran"] = "Princess Huhuran",
	["Emperor Vek'lor"] = "Twin Emperors",
	["Emperor Vek'nilash"] = "Twin Emperors",
	["C'Thun"] = "C'Thun",
	["Vem"] = "Vem",
	["Princess Yauj"] = "Princess Yauj",
	["Lord Kri"] = "Lord Kri",
	["Viscidus"] = "Viscidus",
	["Ouro"] = "Ouro",
	["Ouro Scarab"] = true,
	["Spawn of Fankriss"] = true,
	["Qiraji Scorpion"] = true,
	["Qiraji Scarab"] = true,
	["Vile Scarab"] = true,
	["Yauj Brood"] = true,
	["Sartura's Royal Guard"] = true,
	["Sartura's Royal Guard"] = true,
	["Poison Cloud"] = true,
	["Vekniss Drone"] = true,
	["Glob of Viscidus"] = true,
	
	["Patchwerk"] = "Patchwerk",
	["Grobbulus"] = "Grobbulus",
	["Gluth"] = "Gluth",
	["Thaddius"] = "Thaddius",
	["Instructor Razuvious"] = "Instructor Razuvious",
	["Gothik the Harvester"] = "Gothik the Harvester",
	["Highlord Mograine"] = "Highlord Mograine",
	["Thane Korth'azz"] = "Thane Korth'azz",
	["Lady Blaumeux"] = "Lady Blaumeux",
	["Sir Zeliek"] = "Sir Zeliek",
	["Noth The Plaguebringer"] = "Noth The Plaguebringer",
	["Heigan the Unclean"] = "Heigan the Unclean",
	["Loatheb"] = "Loatheb",
	["Anub'Rekhan"] = "Anub'Rekhan",
	["Grand Widow Faerlina"] = "Grand Widow Faerlina",
	["Maexxna"] = "Maexxna",
	["Sapphiron"] = "Sapphiron",
	["Kel'Thuzad"] = "Kel'Thuzad",
		["Fangnetz"] = true,
		["Verstrahlter Br\195\188hschleimer"] = true,
		
	["Crypt Guard"] = true,
	["Grobbulus Cloud"] = true,
	["Deathknight Understudy"] = true,
	["Maggot"] = true,
	["Maexxna Spiderling"] = true,
	["Plagued Warrior"] = true,
	["Zombie Chow"] = true,
	["Corpse Scarab"] = true,
	["Naxxramas Follower"] = true,
	["Naxxramas Worshipper"] = true,
	["Web Wrap"] = true,
	["Fallout Slime"] = true,
	["Diseased Maggot"] = true,
	["Rotting Maggot"] = true,
	["Living Poison"] = true,
	["Spore"] = true,
	
	["Spotlight"] = true,
	["Roach"] = true,
	["Snake"] = true,
	["Brown Snake"] = true,
	["Crimson Snake"] = true,
	["Black Kingsnake"] = true,
	["Beetle"] = true,
	["Dupe Bug"] = true,
	["Fire Beetle"] = true,
	["Scorpion"] = true,
	["Frog"] = true,
	["Hooktooth Frenzy"] = true,
	["Sacrificed Troll"] = true,
	["Spider"] = true,
	["Rat"] = true,
	["Jungle Toad"] = true,
	["Field Repair Bot 74A"] = true,
	
	-- TBC
	--Karazhan
	["Doom Lord Kazzak"] = "Doom Lord Kazzak",
	["Doomwalker"] = "Doomwalker",
	["Attumen the Huntsman"] = "Attumen the Huntsman",
	["Dorothee"] = true,
	["Maiden of Virtue"] = "Maiden of Virtue",
	["Midnight"] = true,
	["Moroes"] = "Moroes",
		["Baron Rafe Dreuger"] = true, -- Moroes add
		["Baroness Dorothea Millstipe"] = true, -- Moroes add
		["Lady Catriona Von'Indi"] = true, -- Moroes add
		["Lady Keira Berrybuck"] = true, -- Moroes add
		["Lord Crispin Ference"] = true, -- Moroes add
		["Lord Robin Daris"] = true, -- Moroes add
	["Netherspite"] = "Netherspite",
	["Nightbane"] = "Nightbane",
	["Prince Malchezaar"] = "Prince Malchezaar",
	["Shade of Aran"] = "Shade of Aran",
	["Strawman"] = true,
	["Terestian Illhoof"] = "Terestian Illhoof",
	["Kil'rek"] = true,
	["The Big Bad Wolf"] = "The Big Bad Wolf",
	["The Crone"] = "The Crone",
	["The Curator"] = "The Curator",
	["Tinhead"] = true,
	["Tito"] = true,
	["Rokad the Ravager"] = "Rokad the Ravager",
	["Hyakiss the Lurker"] = "Hyakiss the Lurker",
	["Shadikith the Glider"] = "Shadikith the Glider",
	["Chess Event"] = "Chess Event",
	["Julianne"] = "Romulo and Julianne",
	["Roar"] = true,
	["Romulo"] = true,
	["Echo of Medivh"] = "Echo of Medivh",
	["Image of Medivh"] = "Image of Medivh",
	-- Zul'Aman
	["Nalorakk"] = "Nalorakk",	
	["Akil'Zon"] = "Akil'Zon",	
	["Jan'Alai"] = "Jan'Alai",	
	["Halazzi"] = "Halazzi",	
	["Witch Doctor"] = "Witch Doctor",	
	["Hex Lord Malacrass"] = "Hex Lord Malacrass",	
	["Zul'jin"] = "Zul'jin",	
	--Gruul
	["High King Maulgar"] = "High King Maulgar",
	["Gruul the Dragonkiller"] = "Gruul the Dragonkiller",
	["Blindeye the Seer"] = true,
	["Kiggler the Crazed"] = true,
	["Krosh Firehand"] = true,
	["Olm the Summoner"] = true,
	-- Magtheridon
	["Magtheridon"] = "Magtheridon",
	["Hellfire Warder"] = true,
	["Hellfire Channeler"] = true,
	--Serpentshrine Cavern
	["Hydross the Unstable"] = "Hydross the Unstable",
	["The Lurker Below"] = 		"The Lurker Below",
	["Leotheras the Blind"] = "Leotheras the Blind",
	["Fathom-Lord Karathress"] = "Fathom-Lord Karathress",
	["Morogrim Tidewalker"] = "Morogrim Tidewalker",
	["Lady Vashj"] = "Lady Vashj",
		-- Bossadds
			-- Hydross Adds
      ["Pure Spawn of Hydross"] = true, -- Pure Spawn of Hydross
      ["Tainted Spawn of Hydross"] = true, -- Tainted Spawn of Hydross
      ["Tainted Water Elemental"] = true, -- Tainted Water Elemental
      ["Purified Water Elemental"] = true, -- Purified Water Elemental  
      
      -- Morogrim Adds
      ["Tidewalker Lurker"] = true, -- Tidewalker Lurker
      ["Water Globule"] = true, -- Water Globule (Waterbubbles Tidewalker summons at 25%) 

			-- Fathom-Lord Karathress Adds
			["Spitfire Totem"] = true, -- Spitfire Totem
			["Greater Earthbind Totem"] = true, -- Greater Earthbind Totem
			["Greater Poison Cleansing Totem"] = true, -- Greater Poison Cleansing Totem
			["Fathom Lurker"] = true, -- Fathom Lurker
			["Fathom Sporebat"] = true, -- Fathom Sporebat
			["Fathom-Guard Caribdis"] = true, -- Fathom-Guard Caribdis
			["Fathom-Guard Tidalvess"] = true, -- Fathom-Guard Tidalvess
			["Fathom-Guard Sharkkis"] = true, -- Fathom-Guard Sharkkis
			
			-- The Lurker Below Adds
			["Coilfang Guardian"] = true, -- Coilfang Guardian
			["Coilfang Ambusher"] = true, -- Coilfang Ambusher
			
			-- Leotheras the Blind Adds
			["Inner Demon"] = true, -- Inner Demon
			
      -- Vashj Adds
      ["Toxic Spore Bat"] = true,  -- Toxic Spore Bat
      ["Tainted Elemental"] = true, -- Tainted Elemental
      ["Coilfang Elite"] = true, -- Coilfang Elite
      ["Coilfang Strider"] = true, -- Coilfang Strider
      ["Enchanted Elemental"] = true, -- Enchanted Elemental			
      -- SSC Trashmobs 
      ["Coilfang Beast-Tamer"] = true,	-- Coilfang Beast-Tamer
      ["Vashj'ir Honor Guard"] = true,	-- Vashj'ir Honor Guard
      ["Greyheart Tidecaller"] = true, -- Greyheart Tidecaller
      ["Tidewalker Harpooner"] = true, -- Tidewalker Harpooner
      ["Coilfang Hate-Screamer"] = true, -- Coilfang Hate-Screamer
      ["Tidewalker Warrior"] = true, -- Tidewalker Warrior
      ["Serpentshrine Lurker"] = true, -- Serpentshrine Lurker
      ["Greyheart Nether-Mage"] = true, -- Greyheart Nether-Mage
      ["Coilfang Priestess"] = true, -- Coilfang Priestess
      ["Tidewalker Shaman"] = true, -- Tidewalker Shaman
      ["Greyheart Shield-Bearer"] = true, -- Greyheart Shield-Bearer
      ["Coilfang Serpentguard"] = true, -- Coilfang Serpentguard
      ["Greyheart Skulker"] = true, -- Greyheart Skulker
      ["Serpentshrine Sporebat"] = true, -- Serpentshrine Sporebat
      ["Greyheart Technician"] = true, -- Greyheart Technician
      ["Coilfang Fathom-Witch"] = true, -- Coilfang Fathom-Witch
      ["Tidewalker Depth-Seer"] = true, -- Tidewalker Depth-Seer
      ["Underbog Colossus"] = true, -- Underbog Colossus
      ["Tidewalker Hydromancer"] = true, -- Tidewalker Hydromancer
      ["Coilfang Shatterer"] = true, -- Coilfang Shatterer
      -- SSC Trashmobs without loot
			["Coilfang Frenzy"] = true, -- Coilfang Frenzy
			["Serpentshrine Tidecaller"] = true, -- Serpentshrine Tidecaller
			["Colossus Lurker"] = true, -- Colossus Lurker
			["Colossus Rager"] = true, -- Colossus Rager
			["Serpentshrine Parasite"] = true, -- Serpentshrine Parasite
			["Underbog Mushroom"] = true, -- Underbog Mushroom
			["Water Elemental Totem"] = true, -- Water Elemental Totem
			["Greyheart Spellbinder"] = true, -- Greyheart Spellbinder
			["Priestess Spirit"] = true, -- Priestess Spirit	
	--Black Temple
	["High Warlord Naj'entus"] = "High Warlord Naj'entus",
	["Supremus"] = "Supremus",
	["Gurtogg Bloodboil"] = "Gurtogg Bloodboil",
	["Teron Gorefiend"] = "Teron Gorefiend",
	["Shade of Akama"] = "Shade of Akama",
	["Essence of Anger"] = "Reliquary of Souls",
	["Mother Shahraz"] = "Mother Shahraz",
	["Illidari Council"] = "Illidari Council",
	["Illidan Stormrage"] = "Illidan Stormrage",	
	--Tempest Keep: The Eye
	["Al'ar"] = "Al'ar",
	["High Astromancer Solarian"] = "High Astromancer Solarian",	
	["Void Reaver"] = "Void Reaver",
	["Kael'thas Sunstrider"] = "Kael'thas Sunstrider",
    -- Bossadds
	-- Al'ar Adds
    ["Ember of Al'ar"] = true, -- Ember of Al'ar
    -- Astromancer Adds
    ["Solarium Agent"] = true, -- Solarium Agent
    ["Solarium Priest"] = true, -- Solarium Priest
    -- Kael'thas Adds
    ["Lord Sanguinar"] = true, -- Lord Sanguinar
    ["Grand Astromancer Capernian"] = true, -- Grand Astromancer Capernian  
    ["Master Engineer Telonicus"] = true, -- Master Engineer Telonicus
    ["Phoenix Egg"] = true, -- Phoenix Egg
    ["Phoenix"] = true, -- Phoenix
    ["Thaladred the Darkener"] = true, -- Thaladred the Darkener
    -- Kael'thas Weapons
    ["Infinity Blades"] = true, -- Infinity Blades
    ["Cosmic Infuser"] = true, -- Cosmic Infuser
    ["Netherstrand Longbow"] = true, -- Netherstrand Longbow
    ["Phaseshift Bulwark"] = true, -- Phaseshift Bulwark
    ["Staff of Disintegration"] = true, -- Staff of Disintegration
    ["Devastation"] = true, -- Devastation
    ["Warp Slicer"] = true, -- Warp Slicer
		-- TK Trash
		["Astromancer"] = true, -- Astromancer
		["Astromancer Lord"] = true, -- Astromancer Lord
		["Novice Astromancer"] = true, -- Novice Astromancer
		["Crimson Hand Blood Knight"] = true, -- Crimson Hand Blood Knight
		["Tempest Falconer"] = true, -- Tempest Falconer
		["Crimson Hand Inquisitor"] = true, -- Crimson Hand Inquisitor
		["Crimson Hand Battle Mage"] = true, -- Crimson Hand Battle Mage
		["Bloodwarder Squir"] = true, -- Bloodwarder Squire
		["Crystalcore Mechanic"] = true, -- Crystalcore Mechanic
		["Crystalcore Sentinel"] = true, -- Crystalcore Sentinel
		["Crystalcore Devastator"] = true, -- Crystalcore Devastator
		["Bloodwarder Legionnaire"] = true, -- Bloodwarder Legionnaire
		["Bloodwarder Marshal"] = true, -- Bloodwarder Marshal
		["Nether Scryer"] = true, -- Nether Scryer
		["Phoenix-Hawk Hatchlings"] = true, -- Phoenix-Hawk Hatchling
		["Phoenix-Hawk"] = true, -- Phoenix-Hawk
		["Tempest-Smith"] = true, -- Tempest-Smith
		["Star Scryer"] = true, -- Star Scryer
		["Apprentice Star Scryer"] = true, -- Apprentice Star Scryer
		["Bloodwarder Vindicator"] = true, -- Bloodwarder Vindicator
		["Crimson Hand Centurion"] = true, -- Crimson Hand Centurion

	["Lord Illidan Stormrage"] = "Lord Illidan Stormrage",
	["Highlord Kruul"] = "Highlord Kruul",	

	--Hyjal Summit
	["Rage Winterchill"] = "Rage Winterchill",
	["Anetheron"] = "Anetheron",
	["Kaz'rogal"] = "Kaz'rogal",
	["Azgalor"] = "Azgalor",
	["Archimonde"] = "Archimonde",
	-- TBC	
	
	
	["Nightsaber Stalker"] = "Nightsaber Stalker",
	
	["DEFAULTBOSS"] = "Trash mob",
};
--[[
if (GetLocale() == "deDE") then
	
	RaidTracker_BossUnitTriggers = {
		["Lucifron"] = "Lucifron",
		["Magmadar"] = "Magmadar",
		["Gehennas"] = "Gehennas",
		["Garr"] = "Garr",
		["Baron Geddon"] = "Baron Geddon",
		["Shazzrah"] = "Shazzrah",
		["Sulfuronherold"] = "Sulfuron Harbinger",
		["Golemagg der Verbrenner"] = "Golemagg the Incinerator",
		["Majordomus Executus"] = "Majordomo Executus",
		["Ragnaros"] = "Ragnaros",
		["Kernhund"] = true,
		["Feueranbeter"] = true,
		["Kernw\195\188terich"] = true,
		["Flamewaker-Heiler"] = true,
		["Flamewaker-Elite"] = true,
		["Sohn der Flamme"] = true,
		
		["Razorgore der Ungez\195\164hmte"] = "Razorgore the Untamed",
		["Vaelastrasz der Verdorbene"] = "Vaelastrasz the Corrupt",
		["Brutw\195\164chter Dreschbringer"] = "Broodlord Lashlayer",
		["Feuerschwinge"] = "Firemaw",
		["Schattenschwinge"] = "Ebonroc",
		["Flammenmaul"] = "Flamegor",
		["Chromaggus"] = "Chromaggus",
		["Nefarian"] = "Nefarian",
		["Lord Victor Nefarius"] = "Nefarian",
		["Grethok der Aufseher"] = true,
		["Gardist der Pechschwingen"] = true,
		["Legion\195\164r der Pechschwingen"] = true,
		["Magier der Pechschwingen"] = true,
		["Drachenbrut der Todeskrallen"] = true,
		["Schwarzer Drakonid"] = true,
		["Blauer Drakonid"] = true,
		["Bronzener Drakonid"] = true,
		["Gr\195\188ner Drakonid"] = true,
		["Roter Drakonid"] = true,
		["Prismatischer Drakonid"] = true,
		["Knochenkonstrukt"] = true,
		["Verdorbene H\195\182llenbestie"] = true,
		["Verderbter blauer Welpe"] = true,
		["Verderbter roter Welpe"] = true,
		["Verderbter gr\195\188ner Welpe"] = true,
		["Verderbter bronzener Welpe"] = true,
		["Brutw\195\164chter der Todeskrallen"] = true,
		["Zuchtmeister der Pechschwingen"] = true,
		
		["Hohepriesterin Jeklik"] = "High Priestess Jeklik",
		["Hohepriester Venoxis"] =	"High Priest Venoxis",
		["Hohepriesterin Mar'li"] =	"High Priestess Mar'li",
		["Hohepriester Thekal"] = "High Priest Thekal",
		["Hohepriesterin Arlokk"] =	"High Priestess Arlokk",
		["Hakkar"] = "Hakkar",
		["Blutf\195\188rst Mandokir"] = "Bloodlord Mandokir",
		["Jin'do der Verhexer"] = "Jin'do the Hexxer",
		["Gahz'ranka"] = "Gahz'ranka",
		["Hazza'rah"] = "Hazza'rah",
		["Gri'lek"] = "Gri'lek",
		["Renataki"] = "Renataki",
		["Wushoolay"] = "Wushoolay",
		["Zulianischer Streuner"] = true,
		["Zulianischer W\195\164chter"] = true,
		["Schmarotzerschlange"] = true,
		["Brut von Mar'li"] = true,
		["Ohgan"] = true,
		["Rasende Blutsucherfledermaus"] = true,
		["Giftige Wolke"] = true,
		
		["Kurinnaxx"] = "Kurinnaxx",
		["General Rajaxx"] = "General Rajaxx",
		["Ayamiss der J\195\164ger"] = "Ayamiss the Hunter",
		["Buru der Verschlinger"] = "Buru The Gorger",
		["Moam"] = "Moam",
		["Ossirian der Narbenlose"] = "Ossirian The Unscarred",
		["Ei von Buru"] = true,
		["Kanalfrenzy"] = true,
		["Manageist"] = true,
		["Silikatfresser"] = true,
		["Jungtier des Zaraschwarms"] = true,
		["Larve des Zaraschwarms"] = true,

		["Der Prophet Skeram"] = "The Prophet Skeram",
		["Fankriss der Unnachgiebige"] = "Fankriss the Unyielding",
		["Schlachtwache Sartura"] = "Battleguard Sartura",
		["Prinzessin Huhuran"] = "Princess Huhuran",
		["Imperator Vek'lor"] = "Twin Emperors",
		["Imperator Vek'nilash"] = "Twin Emperors",
		["C'Thun"] = "C'Thun",
		["Vem"] = "Vem",
		["Prinzessin Yauj"] = "Princess Yauj",
		["Lord Kri"] = "Lord Kri",
		["Viscidus"] = "Viscidus",
		["Ouro"] = "Ouro",
		["Skarab\195\164us von Ouro"] = true,
		["Brut von Fankriss"] = true,
		["Skorpion der Qiraji"] = true,
		["Skarab\195\164us der Qiraji"] = true,
		["\195\156bler Skarab\195\164us"] = true,
		["Yaujbrut"] = true,
		["Saturas K\195\182nigswache"] = true,
		["Sarturas K\195\182nigswache"] = true,
		["Jungtier der Vekniss"] = true,
		["Krieger des Anubisath "] = true,
		["Giftwolke"] = true,
		["Drohne der Vekniss"] = true,
		["Klumpen von Viscidus"] = true,
		
		["Flickwerk"] = "Patchwerk",
		["Grobbulus"] = "Grobbulus",
		["Gluth"] = "Gluth",
		["Thaddius"] = "Thaddius",
		["Instrukteur Razuvious"] = "Instructor Razuvious",
		["Gothik der Seelenj\195\164ger"] = "Gothik the Harvester",
		["Hochlord Mograine"] = "Highlord Mograine",
		["Thane Korth'azz"] = "Thane Korth'azz",
		["Lady Blaumeux"] = "Lady Blaumeux",
		["Sire Zeliek"] = "Sir Zeliek",
		["Noth der Seuchenf\195\188rst"] = "Noth The Plaguebringer",
		["Heigan der Unreine"] = "Heigan the Unclean",
		["Loatheb"] = "Loatheb",
		["Anub'Rekhan"] = "Anub'Rekhan",
		["Gro\195\159witwe Faerlina"] = "Grand Widow Faerlina",
		["Maexxna"] = "Maexxna",
		["Sapphiron"] = "Sapphiron", -- needs translation
		["Kel'Thuzad"] = "Kel'Thuzad", -- needs translation
		["Gruftwache"] = true,
		["Wolke von Grobbulus"] = true,
		["Reservist der Todesritter"] = true,
		["Made"] = true,
		["Maexxnaspinnling"] = true,
		["Verseuchter Krieger"] = true,
		["Zombiefra\195\159"] = true,
		["Leichenskarab\195\164us"] = true,
		["Anh\195\164nger von Naxxramas"] = true,
		["J\195\188nger von Naxxramas"] = true,
		["Fangnetz"] = true,
		["Verstrahlter Br\195\188hschleimer"] = true,
		["Kranke Made"] = true,
		["Faulende Made"] = true,
		["Lebende Giftlache"] = true,
		["Spore"] = true,
		
		["Onyxia"] = "Onyxia",
		["Lord Kazzak"] = "Lord Kazzak",
		["Azuregos"] = "Azuregos",
		["Ysondre"] = "Ysondre",
		["Taerar"] = "Taerar",
		["Emeriss"] = "Emeriss",
		["Lethon"] = "Lethon",
		
		["Onyxia-Welpe"] = true,
		["Onyxias W\195\164rter"] = true,
		["Taerars Schemen"] = true,
		["Geisterschatten"] = true,
		["Verr\195\188ckter Druidengeist"] = true,
		
		["Spotlight"] = true,
		["Schabe"] = true,
		["Natter"] = true,
		["Braune Natter"] = true,
		["Purpurrote Natter"] = true,
		["Schwarze K\195\182nigsnatter"] = true,
		["K\195\164fer"] = true,
		["T\195\164uschk\195\164fer"] = true,
		["Feuerk\195\164fer"] = true,
		["Skorpion"] = true,
		["Frosch"] = true,
		["Fangzahnfrenzy"] = true,
		["Opfertroll"] = true,
		["Spinne"] = true,
		["Ratte"] = true,
		["Dschungelkr\195\182te"] = true,
		["Feldreparaturbot-74A"] = true,
		
		-- TBC
		["Verdammnislord Kazzak"] = "Doom Lord Kazzak",
		["Hochlord Kazzak"] = "Highlord Kruul",
		["Verdammniswandler"] = "Doomwalker",
		-- Karazhan
		["Attumen der J\195\164ger"] = "Attumen the Huntsman",
		["Tugendhafte Maid"] = "Maiden of Virtue",
		["Moroes"] = "Moroes",
			["Baron Rafe Dreuger"] = true, -- Moroes add
			["Baroness Dorothea M\195\188hlenstein"] = true, -- Moroes add
			["Lady Catriona Von'Indi"] = true, -- Moroes add
			["Lady Keira Beerhas"] = true, -- Moroes add
			["Lord Crispin Ference"] = true, -- Moroes add
			["Lord Robin Daris"] = true, -- Moroes add
		["Nethergroll"] = "Netherspite",
		["Schrecken der Nacht"] = "Nightbane",
		["Prinz Malchezaar"] = "Prince Malchezaar",
		["Arans Schemen"] = "Shade of Aran",
		["Terestian Siechhuf"] = "Terestian Illhoof",
		["Kil'rek"] = true,
		["Der gro\195\159e b\195\182se Wolf"] = "The Big Bad Wolf",
		["Die b\195\182se Hexe"] = "The Crone",
		["Der Kurator"] = "The Curator",
		["Rokad der Verheerer"] = "Rokad the Ravager",
		["Hyakiss der Lauerer"] = "Hyakiss the Lurker",
		["Shadidkith der Gleiter"] = "Shadikith the Glider",
		["Schach Event"] = "Chess Event",
		["Julianne"] = "Romulo and Julianne",
		["Romulo"] = true,
		["Echo Medivhs"] = "Echo of Medivh",
		["Abbild von Medivh"] = "Image of Medivh",			
		-- Zul'Aman
		["Nalorakk"] = "Nalorakk",	
		["Akil'Zon"] = "Akil'Zon",	
		["Jan'Alai"] = "Jan'Alai",	
		["Halazzi"] = "Halazzi",	
		["Witch Doctor"] = "Witch Doctor",	
		["Hex Lord Malacrass"] = "Hex Lord Malacrass",	
		["Zul'jin"] = "Zul'jin",			
		-- Gruul
		["Hochk\195\182nig Maulgar"] = "High King Maulgar",
		["Gruul der Drachenschl\195\164chter"] = "Gruul the Dragonkiller",
		["Blindauge der Seher"] = true,
		["Gicherer der Wahnsinnige"] = true,
		["Krosh Feuerhand"] = true,
		["Olm der Beschw\195\182rer"] = true,
		--Magtheridon
		["Magtheridon"] = "Magtheridon",
		["H\195\182llenfeuerw\195\164rter"] = true,
		["Kanalisierer d3es H\195\182llenfeuers"] = true,
		
		--Serpentshrine Cavern
		["Hydross der Unstete"] = "Hydross the Unstable",
		["Das Grauen aus der Tiefe"] = "The Lurker Below",
		["Leotheras der Blinde"] = "Leotheras the Blind",
		["Tiefenlord Karathress"] = "Fathom-Lord Karathress",
		["Morogrim Gezeitenwandler"] = "Morogrim Tidewalker",
		["Lady Vashj"] = "Lady Vashj",
		
		-- Bossadds
			-- Hydross Adds
      ["Gereinigter Nachkomme Hydross"] = true, -- Pure Spawn of Hydross
      ["Besudelter Nachkomme Hydross"] = true, -- Tainted Spawn of Hydross
      ["Besudelter Wasserelementar"] = true, -- Tainted Water Elemental
      ["Gel\195\164uterter Wasserelementar"] = true, -- Purified Water Elemental  
      
      -- Morogrim Adds
      ["Lauerer der Gezeitenwandler"] = true, -- Tidewalker Lurker
      ["Wasserkugel"] = true, -- Water Globule (Waterbubbles Tidewalker summons at 25%) 

			-- Fathom-Lord Karathress Adds
			["Feuerspuckendes Totem"] = true, -- Spitfire Totem
			["Gro�es Totem der Erdbindung"] = true, -- Greater Earthbind Totem
			["Gro�es Totem der Giftreinigung"] = true, -- Greater Poison Cleansing Totem
			["Tiefenlauerer"] = true, -- Fathom Lurker
			["Tiefensegler"] = true, -- Fathom Sporebat
			["Tiefenw\195\164chter Caribdis"] = true, -- Fathom-Guard Caribdis
			["Tiefenw\195\164chter Flutvess"] = true, -- Fathom-Guard Tidalvess
			["Tiefenw\195\164chter Haikis"] = true, -- Fathom-Guard Sharkkis
			
			-- The Lurker Below Adds
			["W\195\164chter des Echsenkessels"] = true, -- Coilfang Guardian
			["Wegelagerer des Echsenkessels"] = true, -- Coilfang Ambusher
			
			-- Leotheras the Blind Adds
			["Innerer D\195\164mon"] = true, -- Inner Demon
			
      -- Vashj Adds
      ["Toxischer Sporensegler"] = true,  -- Toxic Spore Bat
      ["Besudelter Elementar"] = true, -- Tainted Elemental
      ["Elitesoldat des Echsenkessels"] = true, -- Coilfang Elite
      ["Schreiter des Echsenkessels"] = true, -- Coilfang Strider
      ["Verzauberter Elementar"] = true, -- Enchanted Elemental		

 
      -- SSC Trashmobs 
      ["Bestienb\195\164ndiger des Echsenkessels"] = true,	-- Coilfang Beast-Tamer
      ["Ehrenwache der Vashj'ir"] = true,	-- Vashj'ir Honor Guard
      ["Gezeitenrufer der Grauherzen"] = true, -- Greyheart Tidecaller
      ["Harpunenk\195\164mpfer der Gezeitenwandler"] = true, -- Tidewalker Harpooner
      ["Hasssch\195\188rer des Echsenkessels"] = true, -- Coilfang Hate-Screamer
      ["Krieger der Gezeitenwandler"] = true, -- Tidewalker Warrior
      ["Lauerer des Schlangenschreins"] = true, -- Serpentshrine Lurker
      ["Nethermagier der Grauherzen"] = true, -- Greyheart Nether-Mage
      ["Priesterin des Echsenkessels"] = true, -- Coilfang Priestess
      ["Schamane der Gezeitenwandler"] = true, -- Tidewalker Shaman
      ["Schildtr\195\164ger der Grauherzen"] = true, -- Greyheart Shield-Bearer
      ["Schlangenwache des Echsenkessels"] = true, -- Coilfang Serpentguard
      ["Schleicher der Grauherzen"] = true, -- Greyheart Skulker
      ["Sporensegler des Echsenkessels"] = true, -- Serpentshrine Sporebat
      ["Techniker der Grauherzen"] = true, -- Greyheart Technician
      ["Tiefenhexe des Echsenkessels"] = true, -- Coilfang Fathom-Witch
      ["Tiefenseher der Gezeitenwandler"] = true, -- Tidewalker Depth-Seer
      ["Tiefensumpfkoloss"] = true, -- Underbog Colossus
      ["Wasserbeschw\195\182rer der Gezeitenwandler"] = true, -- Tidewalker Hydromancer
      ["Zertr\195\188mmerer des Echsenkessels"] = true, -- Coilfang Shatterer
      
      -- SSC Trashmobs without loot
			["Echsenkesselfrenzy"] = true, -- Coilfang Frenzy
			["Gezeitenrufer des Schlangenschreins"] = true, -- Serpentshrine Tidecaller
			["Kolosslauerer"] = true, -- Colossus Lurker
			["Kolossw\195\188ter"] = true, -- Colossus Rager
			["Parasit des Schlangenschreins"] = true, -- Serpentshrine Parasite
			["Tiefensumpfpilz"] = true, -- Underbog Mushroom
			["Totem des Wasserelementars"] = true, -- Water Elemental Totem
			["Zauberbinder der Grauherzen"] = true, -- Greyheart Spellbinder
			["Geist einer Priesterin"] = true, -- Priestess Spirit		
		
		--Black Temple
		["Oberster Kriegsf�rst Naj'entus"] = "High Warlord Naj'entus",
		["Supremus"] = "Supremus",
		["Gurtogg Siedeblut"] = "Gurtogg Bloodboil",
		["Teron Blutschatten"] = "Teron Gorefiend",
		["Akamas Schemen"] = "Shade of Akama",
		["Essence of Souls"] = "Essence of Souls", -- unknown
		["Mother Shahraz"] = "Mother Shahraz", --need translation
		["Illidari Council"] = "Illidari Council", --need translation
		["Illidan Sturmgrimm"] = "Illidan Stormrage",	--need translation		
		["F\195\188rst Illidan Sturmgrimm"] = "Lord Illidan Stormrage",		

		--Tempest Keep: The Eye
		["Al'ar"] = "Al'ar",
		["Hochastromagier Solarian"] = "High Astromancer Solarian",	
		["Leerh\195\164scher"] = "Void Reaver",
		["Kael'thas Sonnenwanderer"] = "Kael'thas Sunstrider", --todo
			-- Bossadds
			-- Al'ar Adds
			["Al'ars Asche"] = true, -- Ember of Al'ar
			-- Astromancer Adds
			["Solarisagent"] = true, -- Solarium Agent
			["Solarispriester"] = true, -- Solarium Priest
			-- Kael'thas Adds
			["F\195\188rst Blutdurst"] = true, -- Lord Sanguinar
			["Gro�astronom Capernian"] = true, -- Grand Astromancer Capernian  
			["Meisteringenieur Telonicus"] = true, -- Master Engineer Telonicus
			["Ph\195\182nixei"] = true, -- Phoenix Egg
			["Ph\195\182nix"] = true, -- Phoenix
			["Thaladred der Verfinsterer"] = true, -- Thaladred the Darkener
			-- Kael'thas Weapons
			["Klinge der Unendlichkeit"] = true, -- Infinity Blades
			["Kosmische Macht"] = true, -- Cosmic Infuser
			["Netherbespannter Langbogen"] = true, -- Netherstrand Longbow
			["Phasenverschobenes Bollwerk"] = true, -- Phaseshift Bulwark
			["Stab der Aufl\195\182sung"] = true, -- Staff of Disintegration
			["Verw\195\188stung"] = true, -- Devastation
			["Warpschnitter"] = true, -- Warp Slicer
			-- TK Trash
			["Astronom"] = true, -- Astromancer
			["Astronomlord"] = true, -- Astromancer Lord
			["Astronomnovize"] = true, -- Novice Astromancer
			["Blutritter der Purpurhand"] = true, -- Crimson Hand Blood Knight
			["Falkner der St\195\188rme"] = true, -- Tempest Falconer
			["Inquisitor der Purpurhand"] = true, -- Crimson Hand Inquisitor
			["Kampfmagier der Purpurhand"] = true, -- Crimson Hand Battle Mage
			["Knappe der Blutw\195\164rter"] = true, -- Bloodwarder Squire
			["Kristallkernmechaniker"] = true, -- Crystalcore Mechanic
			["Kristallkernschildwache"] = true, -- Crystalcore Sentinel
			["Kristallkernverw\195\188ster"] = true, -- Crystalcore Devastator
			["Legion\195\164r der Blutw\195\164rter"] = true, -- Bloodwarder Legionnaire
			["Marschall der Blutw\195\164rter"] = true, -- Bloodwarder Marshal
			["Netherseher"] = true, -- Nether Scryer
			["Ph\195\182nixfalkenjunges"] = true, -- Phoenix-Hawk Hatchling
			["Ph\195\182nixfalke"] = true, -- Phoenix-Hawk
			["Schmied der St\195\188rme"] = true, -- Tempest-Smith
			["Sternenseher"] = true, -- Star Scryer
			["Sternenseherlehrling"] = true, -- Apprentice Star Scryer
			["Verteidiger der Blutw\195\164rter"] = true, -- Bloodwarder Vindicator
			["Zenturio der Purpurhand"] = true, -- Crimson Hand Centurion
		
		--Battle of Mount Hyjal
		["Furor Winterfrost"] = "Rage Winterchill",
		["Anetheron"] = "Anetheron",
		["Kaz'rogal"] = "Kaz'rogal",
		["Azgalor"] = "Azgalor",
		["Archimonde"] = "Archimonde",
		
		-- TBC		
		
		["DEFAULTBOSS"] = "Trash mob",
	};
	
elseif (GetLocale() == "frFR") then
	
	
	RaidTracker_BossUnitTriggers = {
		["Lucifron"] = "Lucifron",
		["Magmadar"] = "Magmadar",
		["Gehennas"] = "Gehennas",
		["Garr"] = "Garr",
		["Baron Geddon"] = "Baron Geddon",
		["Shazzrah"] = "Shazzrah",
		["Messager de Sulfuron"] = "Sulfuron Harbinger",
		["Golemagg l'Incin\195\169rateur"] = "Golemagg the Incinerator",
		["Chambellan Executus"] = "Majordomo Executus",
		["Ragnaros"] = "Ragnaros",
		["Chien du Magma"] = true,
		["Lige du feu"] = true,
		["Rageur du Magma"] = true,
		["Soigneur Flamewaker"] = true,
		["Elite Flamewaker"] = true,
		["Fils des flammes"] = true,
		
		["Razorgore l'Indompt\195\169"] = "Razorgore the Untamed",
		["Caelastrasz le Corrumpu"] = "Vaelastrasz the Corrupt",
		["Seigneur des couv\195\169es Lashslayer"] = "Broodlord Lashlayer",
		["Gueule-de-feu"] = "Firemaw",
		["Ebonroc"] = "Ebonroc",
		["Flamegor"] = "Flamegor",
		["Chromaggus"] = "Chromaggus",
		["Nefarian"] = "Nefarian",
		["Seigneur Victor Nefarius"] = "Nefarian",
		["Grethok le Contr\195\180leur"] = true,
		["Garde de l'Aile noire"] = true,
		["L\195\169gionnaire de l'Aile noire"] = true,
		["Mage de l'Aile noire"] = true,
		["Draconide Griffemort"] = true,
		["Drak\195\180nide noir"] = true,
		["Drak\195\180nide bleu"] = true,
		["Drak\195\180nide bronze"] = true,
		["Drak\195\180nide vert"] = true,
		["Drak\195\180nide rouge"] = true,
		["Drak\195\180nide chromatique"] = true,
		["Assemblage d'os"] = true,
		["Infernal corrompu"] = true,
		["Dragonnet bleu corrompu"] = true,
		["Dragonnet rouge corrompu"] = true,
		["Dragonnet vert corrompu"] = true,
		["Dragonnet bronze corrompu"] = true,
		["Eveilleur Griffemort"] = true,
		["Contrema\195\174tre de l'Aile noire"] = true,
		["Nuage toxique"] = true,
		
		["Grande pr\195\170tresse Jeklik"] = "High Priestess Jeklik",
		["Grand pr\195\170tre Venoxis"] =	"High Priest Venoxis",
		["Grande pr\195\170tresse Mar'li"] =	"High Priestess Mar'li",
		["Grand pr\195\170tre Thekal"] = "High Priest Thekal",
		["Grande pr\195\170tresse Arlokk"] =	"High Priestess Arlokk",
		["Hakkar"] = "Hakkar",
		["Seigneur sanglant Mandokir"] = "Bloodlord Mandokir",
		["Jin'do le Mal\195\169ficieur"] = "Jin'do the Hexxer",
		["Gahz'ranka"] = "Gahz'ranka",
		["Hazza'rah"] = "Hazza'rah",
		["Gri'lek"] = "Gri'lek",
		["Renataki"] = "Renataki",
		["Wushoolay"] = "Wushoolay",
		["R\195\180deur zulien"] = true,
		["Gardien zulien"] = true,
		["Serpent parasite"] = true,
		["Rejetons de Mar'li"] = true,
		["Ohgan"] = true,
		["Chauve-souris sanguinaire fr\195\169n\195\169tique"] = true,
		
		["Kurinnaxx"] = "Kurinnaxx",
		["G\195\169n\195\169ral Rajaxx"] = "General Rajaxx",
		["Ayamiss le Chasseur"] = "Ayamiss the Hunter",
		["Buru Grandgosier"] = "Buru the Gorger",
		["Moam"] = "Moam",
		["Ossirian l'Intouch\195\169"] = "Ossirian the Unscarred",
		["\197\146uf de Buru"] = true,
		["Furie des canaux"] = true,
		["D\195\169mon de mana"] = true,
		["Nourrisseur silicieux"] = true,
		["Jeune de la Ruche'Zara"] = true,
		["Larve de la Ruche'Zara"] = true,
				
		["Le Proph\195\168te Skeram"] = "The Prophet Skeram",
		["Fankriss l'Inflexible"] = "Fankriss the Unyielding",
		["Garde de guerre Sartura"] = "Battleguard Sartura",
		["Princesse Huhuran"] = "Princess Huhuran",
		["Empereur Vek'lor"] = "Twin Emperors",
		["Empereur Vek'nilash"] = "Twin Emperors",
		["C'Thun"] = "C'Thun",
		["Vem"] = "Vem",
		["Princesse Yauj "] = "Princess Yauj",
		["Seigneur Kri"] = "Lord Kri",
		["Viscidus"] = "Viscidus",
		["Ouro"] = "Ouro",
		["Scarab\195\169e d'Ouro"] = true,
		["Rejeton de Fankriss"] = true,
		["Scorpion qiraji"] = true,
		["Scarab\195\169e qiraji"] = true,
		["Scarab\195\169e vil"] = true,
		["Rejeton de Yauj"] = true,
		["Garde royal de Sartura"] = true,
		["Jeune vekniss"] = true,
		["Guerrier Anubisath"] = true,
		["Nuage empoisonn\195\169"] = true,
		["Bourdon vekniss"] = true,
		["Globule de Viscidus"] = true,
		
		["Le Recousu"] = "Patchwerk",
		["Grobbulus"] = "Grobbulus",
		["Gluth"] = "Gluth",
		["Thaddius"] = "Thaddius",
		["Instructeur Razuvious"] = "Instructor Razuvious",
		["Gothik le Moissonneur"] = "Gothik the Harvester",
		["G�n�ralissime Mograine"] = "Highlord Mograine",
		["Thane Korth'azz"] = "Thane Korth'azz",
		["Dame Blaumeux"] = "Lady Blaumeux",
		["Sire Zeliek"] = "Sir Zeliek",
		["Noth le Porte-peste"] = "Noth The Plaguebringer",
		["Heigan l'Impur"] = "Heigan the Unclean",
		["Horreb"] = "Loatheb",
		["Anub'Rekhan"] = "Anub'Rekhan",
		["Grande veuve Faerlina"] = "Grand Widow Faerlina",
		["Maexxna"] = "Maexxna",
		["Sapphiron"] = "Sapphiron",
		["Kel'Thuzad"] = "Kel'Thuzad",
		["Gardien des cryptes"] = true,
		["Nuage de Grobbulus"] = true,
		["Doublure de chevalier de la mort"] = true,
		["Asticot "] = true,
		["Jeune araign\195\169e de Maexxna"] = true,
		["Guerrier pestif\195\169r\195\169"] = true,
		["Croq'zombie"] = true,
		["Scarab\195\169e mange-cadavres"] = true,
		["Suivant de Naxxramas"] = true,
		["Adorateur de Naxxramas"] = true,
		["Entoilage"] = true,
		["Gel\195\169e pollu\195\169e"] = true,
		["Asticot malade"] = true,
		["Asticot pourrissant"] = true,
		["Poison vivant"] = true,
		["Spore"] = true,
		
		["Onyxia"] = "Onyxia",
		["Seigneur Kazzak"] = "Lord Kazzak",
		["Azuregos"] = "Azuregos",
		["Ysondre"] = "Ysondre",
		["Taerar"] = "Taerar",
		["Emeriss"] = "Emeriss",
		["L\195\169thon"] = "Lethon",
		
		["Dragonnet d'onyx"] = true,
		["Gardien d'onyx"] = true,
		["Ombre de Taerar"] = true,
		["Ombre spirituelle"] = true,
		["Esprit de druide d\195\169ment"] = true,
		
		["Tache de lumi\195\168re"] = true,
		["Blatte"] = true,
		["Serpent"] = true,
		["Serpent brun"] = true,
		["Serpent cramoisi"] = true,
		["Cobra noir"] = true,
		["Hanneton"] = true,
		["Blatte m\195\169canique"] = true,
		["Hanneton de feu"] = true,
		["Scorpion"] = true,
		["Grenouille"] = true,
		["Crochedents fr\195\169n\195\169tique"] = true,
		["Troll sacrifi\195\169"] = true,
		["Araign\195\169e"] = true,
		["Rat"] = true,
		["Crapaud de la jungle"] = true,
		["Robot r\195\169parateur 74A"] = true,
		-- tbc
		["G\195\169n\195\169eralissime Kruul"] = "Highlord Kruul",			
		
		-- TBC : Karazhan
		["Attumen le Veneur"]="Attumen the Huntsman",
		["Doroth\195\169e"]="Dorothee",
		["Damoiselle de vertu"]="Maiden of Virtue",
		["Minuit"]="Midnight",
		["Moroes"]="Moroes",
			["Baron Rafe Dreuger"] = true, -- Moroes add
			["Baronne Dorothea Millstipe"] = true, -- Moroes add
			["Dame Catriona Von'Indi"] = true, -- Moroes add
			["Dame Keira Berrybuck"] = true, -- Moroes add
			["Seigneur Crispin Ference"] = true, -- Moroes add
			["Seigneur Robin Daris"] = true, -- Moroes add
		["D\195\169dain-du-N\195\169ant"]="Netherspite",
		["Plaie-de-nuit"]="Nightbane",
		["Prince Malchezaar"]="Prince Malchezaar",
		["Ombre d'Aran"]="Shade of Aran",
		["Terestian Malsabot"]="Terestian Illhoof",
		["Kil'rek"] = true,
		["Le Grand M\195\169chant Loup"]="The Big Bad Wolf",
		["La M\195\169g\195\168re"]="The Crone",
		["Le conservateur"]="The Curator",
		["Rodak le ravageur"]="Rokad the Ravager",
		["Hyakiss la R\195\180deuse"]="Hyakiss the Lurker",
		["Shadikith le glisseur"]="Shadikith the Glider",
		["Julianne"]="Romulo and Julianne",
		["Romulo"]=true,
		
		["Chess Event"]="Chess Event", -- translation needed
		-- Zul'Aman
		["Nalorakk"] = "Nalorakk",	
		["Akil'Zon"] = "Akil'Zon",	
		["Jan'Alai"] = "Jan'Alai",	
		["Halazzi"] = "Halazzi",	
		["Witch Doctor"] = "Witch Doctor",	
		["Hex Lord Malacrass"] = "Hex Lord Malacrass",	
		["Zul'jin"] = "Zul'jin",			
		-- TBC : Grull
		["Haut Roi Maulgar"]="High King Maulgar",
		["Gruul le Tue-dragon"]="Gruul the Dragonkiller",
		["Oeillaveugle le Voyant"]=true, -- maulgar add
		["Kiggler le Cingl\195\169"]=true, -- maulgar add
		["Krosh Brasemain"]=true, -- maulgar add
		["Olm l'Invocateur"]=true, -- maulgar add		

    -- Magtheridon
		["Magtheridon"] = "Magtheridon",
		["Canaliste des Flammes infernales"] = true,
		["Gardien des flammes infernales"] = true,

		["Seigneur funeste Kazzak"] = "Doom Lord Kazzak",
		["Marche-funeste"] = "Doomwalker",	
		
		--Serpentshrine Cavern
		["Hydross l'Instable"] = "Hydross the Unstable",
		["Le R\195\180deur d'En-bas"] = "The Lurker Below",
		["Leotheras l'Aveugle"] = "Leotheras the Blind",
		["Seigneur des fonds Karathress"] = "Fathom-Lord Karathress",
		["Morogrim Marcheur-des-flots"] = "Morogrim Tidewalker",
		["Dame Vashj"] = "Lady Vashj",
		
		--Black Temple
		["Grand seigneur de guerre Naj'entus"] = "High Warlord Naj'entus",
		["Supremus"] = "Supremus",
		["Gurtogg Fi\195\168vresang"] = "Gurtogg Bloodboil",
		["Teron Gorefiend"] = "Teron Gorefiend",
		["Ombre d'Akama"] = "Shade of Akama",
		["Essence of Souls"] = "Essence of Souls",
		["M\195\168re Shahraz"] = "Mother Shahraz",
		["Illidari Council"] = "Illidari Council", -- need translation
		["Illidan Hurlorage"] = "Illidan Stormrage",
		["Seigneur Illidan Hurlorage"] = "Lord Illidan Stormrage",		
		
		--Tempest Keep: The Eye
		["Al'ar"] = "Al'ar",
		["Grande astromancienne Solarian"] = "High Astromancer Solarian",
		["Saccageur du Vide"] = "Void Reaver", --todo
		["Kael'thas Haut-soleil"] = "Kael'thas Sunstrider", --todo
	
		--Battle of Mount Hyjal
		["Rage Winterchill"] = "Rage Winterchill",
		["Anetheron"] = "Anetheron",
		["Kaz'rogal"] = "Kaz'rogal",
		["Azgalor"] = "Azgalor",
		["Archimonde"] = "Archimonde",
		
		-- tbc
		["DEFAULTBOSS"] = "Trash mob",
	};
end
]]
